For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Welcome
  • API Reference
      • GETListar Asistentes
      • POSTCrear Asistente
      • GETObtener Asistente
      • DELEliminar Asistente
      • PATCHActualizar Asistente
Logo
API ReferenceAssistants

Crear Asistente

POST
https://nebrijaai.com/api/v1/assistants
POST
/api/v1/assistants
$curl -X POST https://nebrijaai.com/api/v1/assistants \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Asistente Ventas",
> "model": {
> "provider": "openai",
> "model": "gpt-4o"
> },
> "voice": {
> "provider": "cartesia",
> "voiceId": "sonic-3"
> },
> "transcriber": {
> "provider": "deepgram"
> }
>}'
201Created
1{
2 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
3 "name": "Asistente Ventas",
4 "config": {},
5 "isLocked": false,
6 "createdAt": "2024-01-15T09:30:00Z",
7 "updatedAt": "2024-01-15T09:30:00Z"
8}

Crea un nuevo asistente con la configuración proporcionada.

Was this page helpful?
Previous

Obtener Asistente

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
modelobjectRequired
voiceobjectRequired
transcriberobjectRequired
firstMessagestringOptional
startSpeakingPlanobjectOptional
stopSpeakingPlanobjectOptional
voicemailDetectionobjectOptional
structuredDatalist of objectsOptional

Response

Assistant created.
idstringformat: "uuid"
namestring
configobject
isLockedboolean
createdAtdatetime
updatedAtdatetime